## graphicsmagick 1.3.16

=== debian/changelog ===
graphicsmagick (1.3.16-1.1+deb7u19) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2017-18219: An allocation failure vulnerability was found in the
    function ReadOnePNGImage in coders/png.c, which allows attackers to cause a
    denial of service via a crafted file that triggers an attempt at a large
    png_pixels array allocation.
  * Fix CVE-2017-18220: The ReadOneJNGImage and ReadJNGImage functions in
    coders/png.c allow remote attackers to cause a denial of service or
    possibly have unspecified other impact via a crafted file, a related issue
    to CVE-2017-11403
  * Fix CVE-2017-18229: An allocation failure vulnerability was found in the
    function ReadTIFFImage in coders/tiff.c, which allows attackers to cause a
    denial of service via a crafted file, because file size is not properly
    used to restrict scanline, strip, and tile allocations.
  * Fix CVE-2017-18230: A NULL pointer dereference vulnerability was found in
    the function ReadCINEONImage in coders/cineon.c, which allows attackers to
    cause a denial of service via a crafted file.
  * Fix CVE-2017-18231: A NULL pointer dereference vulnerability was found in
    the function ReadEnhMetaFile in coders/emf.c, which allows attackers to cause
    a denial of service via a crafted file.
  * Fix CVE-2018-9018: There is a divide-by-zero in the ReadMNGImage function
    of coders/png.c. Remote attackers could leverage this vulnerability to cause
    a crash and denial of service via a crafted mng file.

 -- Markus Koschany <apo@debian.org>  Sun, 25 Mar 2018 22:41:15 +0200

graphicsmagick (1.3.16-1.1+deb7u18) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2018-6799: denial of service (heap overwrite) or possible other
    unspecified impact in magick/pixel_cache.c via a crafted file.

 -- Roberto C. Sanchez <roberto@debian.org>  Mon, 12 Feb 2018 21:04:48 -0500

graphicsmagick (1.3.16-1.1+deb7u17) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2018-5685: denial of service (infinite loop) in coders/bmp.c
    via a crafted file (Closes: #887158)

 -- Roberto C. Sanchez <roberto@debian.org>  Mon, 15 Jan 2018 22:39:04 -0500

graphicsmagick (1.3.16-1.1+deb7u16) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2017-17498: A vulnerability in coders/pnm.c allows remote
    attackers to cause a denial of service or possibly have unspecified other
    impact via a crafted file.
  * Fix CVE-2017-17500: heap-based buffer over-read in coders/rgb.c via a
    crafted file
  * Fix CVE-2017-17501: heap-based buffer over-read in coders/png.c via a
    crafted file.
  * Fix CVE-2017-17502: heap-based buffer over-read in coders/cmyk.c via a
    crafted file.
  * Fix CVE-2017-17503: heap-based buffer over-read in coders/gray.c via a
    crafted file.
  * Fix CVE-2017-17782: heap-based buffer over-read in coders/png.c via a
    crafted file due to a read one byte beyond the oFFs chunk allocation size.
  * Fix CVE-2017-17912: heap-based buffer over-read in ReadNewsProfile in
    coders/tiff.c, in which LocaleNCompare reads heap data beyond the allocated
    region.
  * Fix CVE-2017-17915: heap-based buffer over-read in ReadMNGImage in
    coders/png.c, related to accessing one byte before testing whether a limit
    has been reached.

 -- Markus Koschany <apo@debian.org>  Mon, 08 Jan 2018 12:37:44 +0100

graphicsmagick (1.3.16-1.1+deb7u15) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2017-13134: Graphicsmagick was vulnerable to a heap-based buffer
    over-read and denial of service via a crafted SFW file. (Closes: #881524)
  * Fix CVE-2017-16547: Graphicsmagick was vulnerable to a remote denial of
    service (application crash) or possible unspecified other impact via a
    crafted file resulting from defective memory allocation.

 -- Roberto C. Sanchez <roberto@debian.org>  Mon, 13 Nov 2017 23:26:01 -0500

graphicsmagick (1.3.16-1.1+deb7u14) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2017-16669: Graphicsmagick was vulnerable to a heap-based buffer
    overflow and application crash vulnerability related to the
    AcquireCacheNexus function in magick/pixel_cache.c.  The problem could be
    exploited with a specially crafted file.

 -- Roberto C. Sanchez <roberto@debian.org>  Fri, 10 Nov 2017 11:59:20 -0500

graphicsmagick (1.3.16-1.1+deb7u13) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2017-16352: Graphicsmagick was vulnerable to a heap-based buffer
    overflow vulnerability found in the "Display visual image directory"
    feature of the DescribeImage() function of the magick/describe.c file.
    One possible  way to trigger the vulnerability is to run the identify
    command on a specially crafted MIFF format file with the verbose flag.
  * Fix CVE-2017-16353: Graphicsmagick was vulnerable to a memory information
    disclosure vulnerability found in the DescribeImage function of the
    magick/describe.c file, because of a heap-based buffer over-read. The
    portion of the code containing the vulnerability is responsible for
    printing the IPTC Profile information contained in the image. This
    vulnerability can be triggered with a specially crafted MIFF file. There is
    an out-of-bounds buffer dereference because certain increments are never
    checked.

 -- Markus Koschany <apo@debian.org>  Fri, 03 Nov 2017 19:52:34 +0100

graphicsmagick (1.3.16-1.1+deb7u12) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * Fix CVE-2017-15930: In ReadOneJNGImage in coders/png.c in
    GraphicsMagick 1.3.26, a Null Pointer Dereference occurs while
    transferring JPEG scanlines, related to a PixelPacket
    pointer. (Closes: #879999)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 31 Oct 2017 10:43:22 -0400


