## graphicsmagick 1.3.18

=== debian/changelog ===
graphicsmagick (1.3.18-4) unstable; urgency=medium

  * Do not depend on obsolete transitional package libtiff4-dev
    (closes: #753938).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 10 Jul 2014 16:44:52 +0000

graphicsmagick (1.3.18-3) unstable; urgency=low

  * Use dpkg-buildflags instead of hardening-includes.
  * Add homepage field.
  * Sync with Ubuntu.

  [ Matthias Klose <doko@ubuntu.com> ]
  * Build using dh-autoreconf (closes: #558510).
  * Fix link error building the demo and test files.

  [ Niko Tyni <ntyni@debian.org> ]
  * Don't hardcode /usr/lib/perl5 in libgraphics-magick-perl (closes: #752019).

  [ Bart Martens <bartm@debian.org> ]
  * Add watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 19 Jun 2014 18:05:56 +0000

graphicsmagick (1.3.18-2) unstable; urgency=low

  * Migrate to lcms2 (closes: #745519).
  * graphicsmagick-imagemagick-compat depends on html2ps (closes: #703615).
  * Build depend on libtiff-dev instead of libtiff4-dev (closes: #736011).
  * Support parallel building via DEB_BUILD_OPTIONS (closes: #732420).
  * Correct images symlink in doc directory. (closes: #685491).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 23 Apr 2014 12:22:47 +0000

graphicsmagick (1.3.18-1) unstable; urgency=high

  * New upstream release, fixing CVE-2013-4589 (closes: #729661).
  * New maintainer (closes: #731915).

  [ Cyril Brulebois <kibi@debian.org> ]
  * Fix FTBFS due to perl test failures (in t/ps/read.t) (closes: #732406).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 11 Dec 2013 13:09:16 +0000

graphicsmagick (1.3.16-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix libtool on Hurd. (Closes: #724821)

 -- Pino Toscano <pino@debian.org>  Sat, 28 Sep 2013 12:22:30 +0200
