=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: graphicsmagick
 Section: graphics
 Priority: optional
-Maintainer: Daniel Kobras <kobras@debian.org>
-Build-Depends: debhelper (>= 5.0), libjpeg-dev, libjasper-dev, liblcms1-dev, libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libexif-dev, libbz2-dev, libtiff4-dev, libjbig-dev, zlib1g-dev | libz-dev, libpng-dev, perl, ghostscript, autotools-dev, transfig, sharutils, libltdl-dev, hardening-includes
-Standards-Version: 3.8.4
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 9.0), libjpeg-dev, libjasper-dev, liblcms2-dev, libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libexif-dev, libbz2-dev, libtiff-dev, libjbig-dev, zlib1g-dev | libz-dev, libpng-dev, perl, ghostscript, autotools-dev, transfig, sharutils, libltdl-dev, dh-autoreconf
+Standards-Version: 3.9.5
+Homepage: http://www.graphicsmagick.org/
 
 Package: graphicsmagick
 Architecture: any
@@ -57,7 +58,7 @@
 Package: libgraphicsmagick1-dev
 Architecture: any
 Section: libdevel
-Depends: libgraphicsmagick3 (= ${binary:Version}), libjpeg-dev, libjasper-dev, liblcms1-dev, libwmf-dev, libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libtiff4-dev, libjbig-dev, libc6-dev, zlib1g-dev | libz-dev, libpng-dev, libexif-dev, libbz2-dev, libltdl-dev, ${misc:Depends}
+Depends: libgraphicsmagick3 (= ${binary:Version}), libjpeg-dev, libjasper-dev, liblcms2-dev, libwmf-dev, libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libtiff-dev, libjbig-dev, libc6-dev, zlib1g-dev | libz-dev, libpng-dev, libexif-dev, libbz2-dev, libltdl-dev, ${misc:Depends}
 Suggests: graphicsmagick
 Provides: libgraphicsmagick-dev
 Conflicts: libgraphicsmagick-dev
@@ -154,7 +155,7 @@
 Package: graphicsmagick-imagemagick-compat
 Architecture: all
 Priority: extra
-Depends: graphicsmagick, ${misc:Depends}
+Depends: graphicsmagick, html2ps, ${misc:Depends}
 Provides: imagemagick
 Conflicts: imagemagick
 Replaces: imagemagick
@@ -164,7 +165,7 @@
  a similar set of features, but puts a larger emphasis on stability.
  .
  With this package installed, the GraphicsMagick command line tools can
- be executed like their ImageMagick counterparts. It allows to migrate
+ be executed like their ImageMagick counterparts. It allows one to migrate
  scripts from ImageMagick to GraphicsMagick without any code changes.
 
 Package: graphicsmagick-libmagick-dev-compat
