=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,11 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# GNU copyright 1997 to 1999 by Joey Hess.
-
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 export DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 export DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 export DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -36,9 +34,18 @@
 CFLAGS = -Wall -g -fno-strict-aliasing
 LDFLAGS =
 
-include /usr/share/hardening-includes/hardening.make
-CFLAGS += $(HARDENING_CFLAGS)
-LDFLAGS += $(HARDENING_LDFLAGS)
+# on i386, with glibc-2.18, the linker hangs on i386
+# $ cat test.c
+# int main(){return(0);}
+# $ gcc -fPIE -pie -static test.c
+# *** Error in `/usr/bin/ld': corrupted double-linked list: 0x09da0260 ***
+# <linker hangs>
+ifneq (,$(filter $(DEB_HOST_ARCH),i386))
+  DEB_BUILD_HARDENING_PIE:=0
+endif
+
+CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -46,22 +53,17 @@
 	CFLAGS += -O2
 endif
 
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	MAKEFLAGS += -j$(NUMJOBS)
+endif
+
 PACKAGENAME=graphicsmagick
 
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-
-	if test -f config.sub; then \
-		mv config.sub config.sub.debsave; \
-	fi
-	if test -f config.guess; then \
-		mv config.guess config.guess.debsave; \
-	fi
-
-	ln -sf /usr/share/misc/config.sub .
-	ln -sf /usr/share/misc/config.guess .
-
+	dh_autoreconf
 	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
 	    ./configure $(gm_confflags) \
 		--enable-shared \
@@ -178,19 +180,6 @@
 
 	rm -f 'debian/Image::Magick.3pm'
 
-	if test -L config.sub; then \
-		$(RM) config.sub; \
-		if test -e config.sub.debsave; then \
-			mv config.sub.debsave config.sub; \
-		fi; \
-	fi
-	if test -L config.guess; then \
-		$(RM) config.guess; \
-		if test -e config.guess.debsave; then \
-			mv config.guess.debsave config.guess; \
-		fi; \
-	fi
-
 	if test -e PerlMagick/Makefile.PL.debsave; then \
 		mv PerlMagick/Makefile.PL.debsave PerlMagick/Makefile.PL; \
 	fi
@@ -203,6 +192,7 @@
 		mv "$${save}" "$${orig}"; \
 	done && rm -rf "$(CURDIR)/debian/reference-orig"
 
+	dh_autoreconf_clean
 	dh_clean 
 
 install: build install-indep install-arch
@@ -210,7 +200,7 @@
 	dh_testdir
 	dh_testroot
 	
-	dh_clean -k -i
+	dh_prep -i
 
 	dh_install -i
 
@@ -218,7 +208,7 @@
 	dh_testdir
 	dh_testroot
 	
-	dh_clean -k -s 
+	dh_prep -s 
 
 	# pkgdocdir is hardwired in configure.ac and can only be overridden
 	# here.
@@ -257,3 +247,4 @@
 	   debian/libgraphicsmagick++1-dev/usr/share/doc/libgraphicsmagick++1-dev/www
 	sed -e 's|\(HREF="\)\(Magick++/\)|\1../../libgraphicsmagick++1-dev/www/\2|' \
 	    -e 's|\(HREF="\)\(api.html\)|\1../../libgraphicsmagick1-dev/www/\2|' \
+	    -i debian/tmp/usr/share/doc/graphicsmagick/www/programming.html
