## graphicsmagick 1.3.20

=== debian/changelog ===
graphicsmagick (1.3.20-4ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Aug 2015 16:14:40 +0000

graphicsmagick (1.3.20-4) experimental; urgency=low

  * Test build with QuantumDepth 16 (closes: #557879).
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 28 Jan 2015 17:56:41 +0000

graphicsmagick (1.3.20-3) unstable; urgency=medium

  * Use upstream fix for AnnotateImage() return value (closes: #759956).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Sep 2014 07:37:31 +0000

graphicsmagick (1.3.20-2) unstable; urgency=medium

  * Change binary libtiff4-dev dependency to libtiff-dev as well
    (closes: #759595).
  * Version perl build dependency to 5.20 or later.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 28 Aug 2014 21:22:22 +0000

graphicsmagick (1.3.20-1) unstable; urgency=medium

  * New upstream release (closes: #710716).
  * Use GraphicsMagick-1.3.20-CVE-2014-1947.patch from Fedora to fix
    CVE-2014-1947.
  * Add homepage field.
  * Disable update_freetype.h_location.patch , upstream solved freetype
    detection.
  * Sync with Ubuntu.

  [ Matthias Klose <doko@ubuntu.com> ]
  * Build-depend/depend on libtiff-dev rather than libtiff4-dev.
  * Build-depend/depend on lcms2.
  * Build using dh-autoreconf.
  * Fix link error building the demo and test files.

  [ Bart Martens <bartm@debian.org> ]
  * Add watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 23 Aug 2014 19:12:09 +0000
