=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: graphicsmagick
 Section: graphics
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9.0), libjpeg-dev, libjasper-dev, liblcms2-dev, libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libexif-dev, libbz2-dev, libtiff-dev, libjbig-dev, zlib1g-dev | libz-dev, libpng-dev, perl, ghostscript, autotools-dev, transfig, sharutils, libltdl-dev, dh-autoreconf
-Standards-Version: 3.9.5
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 9), libjpeg-dev, libjasper-dev, liblcms2-dev, libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libexif-dev, libbz2-dev, libtiff-dev, libjbig-dev, zlib1g-dev | libz-dev, libpng-dev, perl (>= 5.20), ghostscript, autotools-dev, transfig, sharutils, libltdl-dev, dh-autoreconf
+Standards-Version: 3.9.6
 Homepage: http://www.graphicsmagick.org/
 
 Package: graphicsmagick
@@ -80,12 +81,12 @@
  This package contains the C development headers and library files needed to
  compile programs using the GraphicsMagick library.
 
-Package: libgraphicsmagick++3
+Package: libgraphicsmagick++3v5
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libgraphicsmagick
-Replaces: libgraphicsmagick
+Conflicts: libgraphicsmagick++3, libgraphicsmagick
+Replaces: libgraphicsmagick++3, libgraphicsmagick
 Suggests: graphicsmagick-dbg
 Description: format-independent image processing - C++ shared library
  GraphicsMagick provides libraries in several programming languages to read,
@@ -107,7 +108,7 @@
 Package: libgraphicsmagick++1-dev
 Architecture: any
 Section: libdevel
-Depends: libgraphicsmagick++3 (= ${binary:Version}), libgraphicsmagick1-dev, ${misc:Depends}
+Depends: libgraphicsmagick++3v5 (= ${binary:Version}), libgraphicsmagick1-dev, ${misc:Depends}
 Suggests: graphicsmagick
 Provides: libgraphicsmagick++-dev
 Conflicts: libgraphicsmagick++-dev
@@ -155,7 +156,7 @@
 Package: graphicsmagick-imagemagick-compat
 Architecture: all
 Priority: extra
-Depends: graphicsmagick, html2ps, ${misc:Depends}
+Depends: graphicsmagick, ${misc:Depends}
 Provides: imagemagick
 Conflicts: imagemagick
 Replaces: imagemagick
@@ -202,7 +203,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: graphicsmagick (= ${binary:Version}), libgraphicsmagick3 (= ${binary:Version}), libgraphicsmagick++3 (= ${binary:Version}), libgraphics-magick-perl (= ${binary:Version}), ${misc:Depends}
+Depends: graphicsmagick (= ${binary:Version}), libgraphicsmagick3 (= ${binary:Version}), libgraphicsmagick++3v5 (= ${binary:Version}), libgraphics-magick-perl (= ${binary:Version}), ${misc:Depends}
 Description: format-independent image processing - debugging symbols
  GraphicsMagick provides libraries in several programming languages to read,
  write and manipulate image files across a large number of formats, from the
