=== debian/rules ===
--- 
+++ 
@@ -44,18 +44,14 @@
   DEB_BUILD_HARDENING_PIE:=0
 endif
 
-CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
-LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
+#include /usr/share/hardening-includes/hardening.make
+#CFLAGS += $(HARDENING_CFLAGS)
+#LDFLAGS += $(HARDENING_LDFLAGS)
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
 	CFLAGS += -O2
-endif
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	MAKEFLAGS += -j$(NUMJOBS)
 endif
 
 PACKAGENAME=graphicsmagick
@@ -81,7 +77,8 @@
 		--without-modules \
 		--without-frozenpaths \
 		--with-perl \
-		--with-perl-options="INSTALLDIRS=vendor"
+		--with-perl-options="INSTALLDIRS=vendor" \
+		--with-quantum-depth=16
 
 	touch configure-stamp
 
@@ -248,3 +245,7 @@
 	sed -e 's|\(HREF="\)\(Magick++/\)|\1../../libgraphicsmagick++1-dev/www/\2|' \
 	    -e 's|\(HREF="\)\(api.html\)|\1../../libgraphicsmagick1-dev/www/\2|' \
 	    -i debian/tmp/usr/share/doc/graphicsmagick/www/programming.html
+	dh_install -a --list-missing --sourcedir=debian/tmp
+	dh_installchangelogs -a ChangeLog
+	dh_installdocs -a
+	dh_installman -a
