## graphicsmagick 1.3.21

=== debian/changelog ===
graphicsmagick (1.3.21-4) unstable; urgency=low

  * Change C library name to ending with -q16 for QuantumDepth=16 ABI change
    and compile shared library to include the QuantumDepth value
    (closes: #796310).
  * Remove breaks on pdf2djvu.
  * Make rebuildable (closes: #796307).

  [ Jakub Wilk <jwilk@debian.org> ]
  * Remove obsolete conflicts/replaces on libgraphicsmagick.
  * Version conflicts/replaces on libgraphicsmagick3.
  * No longer need to pass -l and -L switches to dh_shlibdeps.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 21 Sep 2015 18:10:49 +0200

graphicsmagick (1.3.21-3) unstable; urgency=medium

  * libgraphicsmagick++3 and libgraphicsmagick++11 are co-installable
    (closes: #795099).
  * libgraphicsmagick1-dev needs recent libgraphicsmagick++1-dev
    (closes: #795102).
  * Fix images symlink for development packages (closes: #795172).
  * libgraphicsmagick3 breaks old versions of pdf2djvu .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 11 Aug 2015 18:40:11 +0200

graphicsmagick (1.3.21-2) unstable; urgency=medium

  * Upload to unstable for GCC 5 transition.
  * Enable WebP support (closes: #789745).
  * Make rebuildable.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 08 Aug 2015 13:10:35 +0000

graphicsmagick (1.3.21-1) experimental; urgency=high

  * New upstream release, including many security fixes.
  * Start transition from libgraphicsmagick++3 to libgraphicsmagick++11 .
  * Update libgraphicsmagick3 symbols.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 07 Mar 2015 13:10:07 +0000
