=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: graphicsmagick
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), libjpeg-dev, libjasper-dev, liblcms2-dev, libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libexif-dev, libbz2-dev, libtiff-dev, libjbig-dev, zlib1g-dev | libz-dev, libpng-dev, perl (>= 5.20), ghostscript, autotools-dev, transfig, sharutils, libltdl-dev, dh-autoreconf
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 9), libjpeg-dev, libjasper-dev, liblcms2-dev, libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libexif-dev, libbz2-dev, libtiff-dev, libjbig-dev, zlib1g-dev | libz-dev, libpng-dev, libwebp-dev, perl (>= 5.20), ghostscript, autotools-dev, transfig, sharutils, libltdl-dev, dh-autoreconf
 Standards-Version: 3.9.6
 Homepage: http://www.graphicsmagick.org/
 
@@ -31,12 +30,12 @@
  graphicsmagick-imagemagick-compat to obtain a set of several executables
  that is compatible to ImageMagick's interface.
 
-Package: libgraphicsmagick3
+Package: libgraphicsmagick-q16-3
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libgraphicsmagick
-Replaces: libgraphicsmagick
+Conflicts: libgraphicsmagick3 (>= 1.3.21)
+Replaces: libgraphicsmagick3 (>= 1.3.21)
 Recommends: ghostscript, gsfonts
 Suggests: graphicsmagick-dbg
 Description: format-independent image processing - C shared library
@@ -59,11 +58,10 @@
 Package: libgraphicsmagick1-dev
 Architecture: any
 Section: libdevel
-Depends: libgraphicsmagick3 (= ${binary:Version}), libjpeg-dev, libjasper-dev, liblcms2-dev, libwmf-dev, libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libtiff-dev, libjbig-dev, libc6-dev, zlib1g-dev | libz-dev, libpng-dev, libexif-dev, libbz2-dev, libltdl-dev, ${misc:Depends}
+Depends: libgraphicsmagick-q16-3 (= ${binary:Version}), libjpeg-dev, libjasper-dev, liblcms2-dev, libwmf-dev, libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libtiff-dev, libjbig-dev, libc6-dev, zlib1g-dev | libz-dev, libpng-dev, libexif-dev, libbz2-dev, libltdl-dev, ${misc:Depends}
+Breaks: libgraphicsmagick++1-dev (<< 1.3.21-2)
 Suggests: graphicsmagick
 Provides: libgraphicsmagick-dev
-Conflicts: libgraphicsmagick-dev
-Replaces: libgraphicsmagick-dev
 Description: format-independent image processing - C development files
  GraphicsMagick provides libraries in several programming languages to read,
  write and manipulate image files across a large number of formats, from the
@@ -81,12 +79,10 @@
  This package contains the C development headers and library files needed to
  compile programs using the GraphicsMagick library.
 
-Package: libgraphicsmagick++3v5
+Package: libgraphicsmagick++-q16-11
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libgraphicsmagick++3, libgraphicsmagick
-Replaces: libgraphicsmagick++3, libgraphicsmagick
 Suggests: graphicsmagick-dbg
 Description: format-independent image processing - C++ shared library
  GraphicsMagick provides libraries in several programming languages to read,
@@ -108,11 +104,9 @@
 Package: libgraphicsmagick++1-dev
 Architecture: any
 Section: libdevel
-Depends: libgraphicsmagick++3v5 (= ${binary:Version}), libgraphicsmagick1-dev, ${misc:Depends}
+Depends: libgraphicsmagick++-q16-11 (= ${binary:Version}), libgraphicsmagick1-dev, ${misc:Depends}
 Suggests: graphicsmagick
 Provides: libgraphicsmagick++-dev
-Conflicts: libgraphicsmagick++-dev
-Replaces: libgraphicsmagick++-dev
 Description: format-independent image processing - C++ development files
  GraphicsMagick provides libraries in several programming languages to read,
  write and manipulate image files across a large number of formats, from the
@@ -203,7 +197,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: graphicsmagick (= ${binary:Version}), libgraphicsmagick3 (= ${binary:Version}), libgraphicsmagick++3v5 (= ${binary:Version}), libgraphics-magick-perl (= ${binary:Version}), ${misc:Depends}
+Depends: graphicsmagick (= ${binary:Version}), libgraphicsmagick-q16-3 (= ${binary:Version}), libgraphicsmagick++-q16-11 (= ${binary:Version}), libgraphics-magick-perl (= ${binary:Version}), ${misc:Depends}
 Description: format-independent image processing - debugging symbols
  GraphicsMagick provides libraries in several programming languages to read,
  write and manipulate image files across a large number of formats, from the
