=== debian/rules ===
--- 
+++ 
@@ -76,8 +76,10 @@
 		--without-dps \
 		--without-modules \
 		--without-frozenpaths \
+		--with-webp \
 		--with-perl \
 		--with-perl-options="INSTALLDIRS=vendor" \
+		--enable-quantum-library-names \
 		--with-quantum-depth=16
 
 	touch configure-stamp
@@ -96,7 +98,7 @@
 	# * The Perl Makefile generator ignores linker flags it doesn't
 	#   grok (ie. -pie -z relro). Hence, we need to strip -fPIE from
 	#   CCFLAGS as well, or the linker would barf about non-PIC symbols.
-	test -e PerlMagick/Makefile.PL.debsave || sed -i.debsave -e \
+	test -e PerlMagick/Makefile.PL.debsave || sed -i -e \
 	 "/LIBS/s|\(-L[[:space:]]*\)[^[:space:]]\+|\1$(CURDIR)/magick/.libs|" \
 	 -e "s/-Werror=format-security/-Wformat-security/g" \
 	 -e "s/-fPIE//g" \
@@ -174,12 +176,9 @@
 	rm -f configure-stamp build-arch-stamp build-indep-stamp check-stamp
 
 	test ! -f Makefile || $(MAKE) distclean distclean-perl
+	rm -f $(CURDIR)/PerlMagick/Makefile.PL
 
 	rm -f 'debian/Image::Magick.3pm'
-
-	if test -e PerlMagick/Makefile.PL.debsave; then \
-		mv PerlMagick/Makefile.PL.debsave PerlMagick/Makefile.PL; \
-	fi
 
 	# Clean up after 'patching' miff binaries.
 	test ! -d "$(CURDIR)/debian/reference-orig" || \
@@ -249,3 +248,4 @@
 	dh_installchangelogs -a ChangeLog
 	dh_installdocs -a
 	dh_installman -a
+	dh_installexamples -a
