## graphicsmagick 1.3.22

=== debian/changelog ===
graphicsmagick (1.3.22-2) unstable; urgency=low

  * Transition libgraphicsmagick++-q16-11 to libgraphicsmagick++-q16-12
    (closes: #803958).
  * Conflict and replace version 1.3.22-1 of libgraphicsmagick++-q16-11 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Nov 2015 23:39:25 +0100

graphicsmagick (1.3.22-1) unstable; urgency=low

  * New upstream release.
  * Update libgraphicsmagick-q16-3 symbols file.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 23 Oct 2015 21:01:39 +0200
